[OzzModz] SEO & Index Tools

[OzzModz] SEO & Index Tools [Paid] 1.0.6 Release Candidate 3

No permission to buy ($59.99)

Ozzy47

Well-known member
Not yet. But honestly you’d be the best to explain the difference in behavior from a default style to theirs.
 
  • Like
Reactions: eL_

Osman

Well-known member
Not yet. But honestly you’d be the best to explain the difference in behavior from a default style to theirs.
Hi @Ozzy47

To test the issue, I ran some tests on the default theme on @eL_'s website. In the tests I have done on the standard theme, the error reports stated by @eL_ are generated.

These errors occur only in a topic or related forum.
 

eL_

Well-known member
Hi @Ozzy47

To test the issue, I ran some tests on the default theme on @eL_'s website. In the tests I have done on the standard theme, the error reports stated by @eL_ are generated.

These errors occur only in a topic or related forum.
I even move that post in a dedicate place as you suggested @Osman -I don't know what to do now :(
 

Nirjonadda

Well-known member
@Nulumia Improve compatibility with Editor & BB Code Manager addon for Show word counter option.

View attachment 268498

Add information for Logo and Open Graph: Now no information if all are set correctly.

View attachment 268499

Image missing in Useful articles:

View attachment 268511
@Nulumia This addon not compatibility with @mazzly AMPXF - AMP for Xenforo addon. Getting lot of error about Disallowed attribute or attribute value present in HTML tag. Please give compatibility with AMPXF - AMP for Xenforo addon. We need fix this issue ASAP as soon as you can.

View attachment 268553

View attachment 268554

Also Thread title aren't responsive in mobile browser. This navigation should be scrolling.


View attachment 268555

@Ozzy47 Still not fixed all issue with beta 9
 

Ozzy47

Well-known member
Ozzy47 updated [OzzModz] SEO & Index Tools with a new update entry:

[OzzModz] SEO & Index Tools for XenForo 2.2+ Update 1.0.6 Release Candidate

SEO & Index Tools
Version: 1.0.6 Release Candidate

Changelog

  • Fixed several bugs which could occur when upgrading from much earlier versions of the addon
  • Improved detection and handling of installer/upgrade scripts when connecting with supported content addons (XFMG, XFRM, AMS etc)
  • Fixed a bug which could cause "Undefined variable: slug" in the server log
  • Improved the post heading ID tag feature
  • Improved various PHP handlers
  • Further improved AMS legacy...

Read the rest of this update entry...
 

apathy

Well-known member
I ran into this during the upgrade process from 1.0.6 Beta 9 -> 1.0.6 Release Candidate

Code:
TypeError: mysqli::prepare(): Argument #1 ($query) must be of type string, array given - src/XF/Db/Mysqli/Statement.php:37
       
Stack trace
       
#0 src/XF/Db/Mysqli/Statement.php(37): mysqli->prepare(Array)
#1 src/XF/Db/Mysqli/Statement.php(56): XF\Db\Mysqli\Statement->prepare()
#2 src/XF/Db/AbstractAdapter.php(96): XF\Db\Mysqli\Statement->execute()
#3 src/addons/Nulumia/SeoTools/Install/Upgrade1000650Trait.php(124): XF\Db\AbstractAdapter->query(Array)
#4 src/XF/AddOn/StepRunnerUpgradeTrait.php(124): Nulumia\SeoTools\Setup->upgrade1000650Step3(Array)
#5 src/XF/AddOn/StepRunnerUpgradeTrait.php(73): Nulumia\SeoTools\Setup->upgradeStepRunner(1000650, 3, Array, NULL)
#6 src/XF/Job/AddOnInstallBatch.php(299): Nulumia\SeoTools\Setup->upgrade(Array)
#7 src/XF/Job/AddOnInstallBatch.php(91): XF\Job\AddOnInstallBatch->stepAction(Object(XF\Timer))
#8 src/XF/Job/Manager.php(260): XF\Job\AddOnInstallBatch->run(8)
#9 src/XF/Job/Manager.php(202): XF\Job\Manager->runJobInternal(Array, 8)
#10 src/XF/Job/Manager.php(118): XF\Job\Manager->runJobEntry(Array, 8)
#11 src/XF/Admin/Controller/Tools.php(122): XF\Job\Manager->runByIds(Array, 8)
#12 src/XF/Mvc/Dispatcher.php(352): XF\Admin\Controller\Tools->actionRunJob(Object(XF\Mvc\ParameterBag))
#13 src/XF/Mvc/Dispatcher.php(259): XF\Mvc\Dispatcher->dispatchClass('XF:Tools', 'RunJob', Object(XF\Mvc\RouteMatch), Object(ThemeHouse\UserCriteria\XF\Admin\Controller\Tools), NULL)
#14 src/XF/Mvc/Dispatcher.php(115): XF\Mvc\Dispatcher->dispatchFromMatch(Object(XF\Mvc\RouteMatch), Object(ThemeHouse\UserCriteria\XF\Admin\Controller\Tools), NULL)
#15 src/XF/Mvc/Dispatcher.php(57): XF\Mvc\Dispatcher->dispatchLoop(Object(XF\Mvc\RouteMatch))
#16 src/XF/App.php(2353): XF\Mvc\Dispatcher->run()
#17 src/XF.php(524): XF\App->run()
#18 admin.php(13): XF::runApp('XF\\Admin\\App')
#19 {main}
       
       
Request state
       
array(4) {
  ["url"] => string(24) "/admin.php?tools/run-job"
  ["referrer"] => string(49) "https://fortreeforums.xyz/admin.php?tools/run-job"
  ["_GET"] => array(1) {
    ["tools/run-job"] => string(0) ""
  }
  ["_POST"] => array(3) {
    ["_xfRedirect"] => string(85) "https://fortreeforums.xyz/admin.php?add-ons/install-from-archive-complete&batch_id=32"
    ["_xfToken"] => string(8) "********"
    ["only_ids"] => string(5) "11459"
  }
}

I was able to rebuild 1.0.6 Beta 9 without a reinstall so I'm out of the "failed upgrade" state and not in any worry, but thought I'd share it with you regardless.
 

eL_

Well-known member
I suppose it was a wise move that I back-up my DB before updating the release candidate.
 
Top